Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface ChangeListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AbstractButton.ButtonChangeListener, BasicButtonListener, BasicMenuUI.ChangeHandler, BasicProgressBarUI.ChangeHandler, BasicScrollBarUI.ModelListener, BasicScrollPaneUI.HSBChangeListener, BasicScrollPaneUI.ViewportChangeHandler, BasicScrollPaneUI.VSBChangeListener, BasicSliderUI.ChangeHandler, BasicTabbedPaneUI.TabSelectionHandler, JCheckBoxMenuItem.AccessibleJCheckBoxMenuItem, JMenu.AccessibleJMenu, JMenuItem.AccessibleJMenuItem, JRadioButtonMenuItem.AccessibleJRadioButtonMenuItem, JScrollPane.AccessibleJScrollPane, JSpinner.AccessibleJSpinner, JSpinner.DateEditor, JSpinner.DefaultEditor, JSpinner.ListEditor, JSpinner.NumberEditor, JTabbedPane.AccessibleJTabbedPane, JTabbedPane.ModelListener, ProgressMonitor.AccessibleProgressMonitor

    public interface ChangeListener

extends EventListener

Defines an object which listens for ChangeEvents.

Method Summary
`void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.

Method Detail

### stateChanged

    void stateChanged(ChangeEvent e)

  Invoked when the target of the listener has changed its state.

  Parameters:
    `e` - a ChangeEvent object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.